[Bug 358887] Re: python-xpcom cannot be loaded on Jaunty

Andrew Tipton andrew.t.tipton at gmail.com
Fri Jun 19 02:20:34 UTC 2009


For others who come across this bug (like me) looking for the PyXPCOM
bindings for Python 2.6, it appears that the xulrunner-1.9 package now
includes the Python XPCOM bindings:

$ export PYTHONPATH=/usr/lib/xulrunner-1.9.0.11/python
$ /usr/lib/xulrunner-1.9.0.11/run-mozilla.sh python
Python 2.6.2 (release26-maint, Apr 19 2009, 01:58:18)
[GCC 4.3.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import xpcom
>>>

Which would seem to render the python-xpcom package obsolete. It would
be helpful if the package description for python-xpcom included a note
about this...  And it also would have been helpful, William, to include
a note about this in your previous comment.

Hope this helps anyone else who is looking for these bindings in Jaunty.

-- 
python-xpcom cannot be loaded on Jaunty
https://bugs.launchpad.net/bugs/358887
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to xulrunner in ubuntu.




More information about the Ubuntu-mozillateam-bugs mailing list